Subject: bug#8187: 24.0.50; Regression: TAB does not indent region

From: "Drew Adams" <[email-masked]>
Date: Sun, 6 Mar 2011 15:26:52 -0800

> the Emacs-24 behavior is not really a regression,
> just a different failure by deactivating a chunk of code 
> which didn't do the right thing.
>
> We should probably add an indent-region-function in
> text-mode which does (more or less) what you expect (probably 
> it should do what TAB does on the first line and then apply the
> same indent step to all subsequent lines).
>
> Patches welcome

The doc for this doesn't fit the current behavior, and it hasn't since at least
as far back as Emacs 22.

Please correct the doc now so that it matches either the expected code fix or
the current behavior.  That will help either way if the code fix doesn't happen
soon.  (If the code is fixed soon, then both code and doc can be corrected
together.)

The doc needs to be fixed, regardless of when and whether the code gets fixed.
(Unless, that is, the current doc corresponds to the code fix you have in mind.)